# SPDX-License-Identifier: AGPL-3.0-only
# SPDX-FileCopyrightText: 2024 Univention GmbH

---
# Create container for Nextcloud custom attributes
action: create
module: container/cn
position: cn=custom attributes,cn=univention,{{ ldapBaseDn }}
properties:
  name: "nextcloud"
---
# Create extended attribute Nextcloud for user
action: create
module: settings/extended_attribute
position: cn=nextcloud,cn=custom attributes,cn=univention,{{ ldapBaseDn }}
properties:
  name: "univentionNextcloudEnabled"
  CLIName: nextcloudEnabled
  ldapMapping: univentionNextcloudEnabled
  module: ["users/user"]
  shortDescription: Access to Nextcloud
  overwriteTab: False
  valueRequired: False
  tabName: NextCloud Hub
  syntax: "boolean"
  multivalue: False
  tabPosition: 1
  tabAdvanced: False
  overwritePosition: "0"
  doNotSearch: False
  hook: 'None'
  mayChange: True
  deleteObjectClass: False
  default: "TRUE"
  objectClass: univentionNextcloudUser
---
# Create extended attribute Nextcloud Quota for user
action: create
module: settings/extended_attribute
position: cn=nextcloud,cn=custom attributes,cn=univention,{{ ldapBaseDn }}
properties:
  name: "univentionNextcloudUserQuota"
  CLIName: nextcloudQuota
  ldapMapping: univentionNextcloudQuota
  module: ["users/user"]
  shortDescription: "Nextcloud Quota"
  longDescription: "Amount of storage available to the user (ex: 512 MB or 12 GB)"
  tabName: NextCloud Hub
  overwriteTab: False
  valueRequired: False
  syntax: 'string'
  default: ""
  tabAdvanced: False
  mayChange: True
  multivalue: False
  deleteObjectClass: False
  tabPosition: 1
  overwritePosition: "0"
  doNotSearch: False
  hook: 'None'
  objectClass: univentionNextcloudUser
---
# Create extended attribute Nextcloud for group
action: create
module: settings/extended_attribute
position: cn=nextcloud,cn=custom attributes,cn=univention,{{ ldapBaseDn }}
properties:
  name: "univentionNextcloudGroupEnabled"
  CLIName: nextcloudEnabled
  ldapMapping: univentionNextcloudEnabled
  module: ["groups/group"]
  shortDescription: "Available in Nextcloud"
  longDescription: "The group is available in Nextcloud"
  tabName: NextCloud Hub
  overwriteTab: False
  valueRequired: False
  syntax: 'boolean'
  default: "0"
  tabAdvanced: False
  mayChange: True
  multivalue: False
  deleteObjectClass: False
  tabPosition: 1
  overwritePosition: "0"
  doNotSearch: False
  hook: 'None'
  objectClass: univentionNextcloudGroup
---
# Create Nextcloud service user
action: create
module: users/ldap
position: cn=users,{{ ldapBaseDn }}
properties:
  username: "nextcloudUser"
  lastname: "LDAP-system-User"
  password: {{ nextcloudUserPassword }}
  overridePWHistory: true
  overridePWLength: true
---
# Create Nextcloud portal tile
action: create_or_modify
module: portals/entry
position: cn=entry,cn=portals,cn=univention,{{ ldapBaseDn }}
properties:
  name: "nextcloud"
  icon: "PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnN2Zz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGlkPSJMYXllcl8xIiB3aWR0aD0iMTQxLjQ4NSIgaGVpZ2h0PSI5OS42MDMiIHg9IjAiIHk9IjAiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDE5Ni42IDcyIiB2ZXJzaW9uPSIxLjEiIHZpZXdCb3g9IjAgMCAxMzIuNjQyIDkzLjM3NyIgeG1sOnNwYWNlPSJwcmVzZXJ2ZSI+PG1ldGFkYXRhIGlkPSJtZXRhZGF0YTIwIi8+PGRlZnMgaWQ9ImRlZnMxOCI+PGNsaXBQYXRoIGlkPSJjbGlwUGF0aDg4MTIiIGNsaXBQYXRoVW5pdHM9InVzZXJTcGFjZU9uVXNlIj48Y2lyY2xlIGlkPSJjaXJjbGU4ODE0IiBjeD0iOTUuNjY5IiBjeT0iOTUuNjY5IiByPSI3OS43MjQiIHN0eWxlPSJmaWxsOiMwMDA4MGQ7ZmlsbC1vcGFjaXR5OjE7c3Ryb2tlLXdpZHRoOjEiLz48L2NsaXBQYXRoPjwvZGVmcz48cGF0aCBpZD0icGF0aDEwNTIiIGQ9Im0gNjYuNDA3ODk2LDkuMzc1IGMgLTExLjgwNTI3MSwwIC0yMS44MTEyMTcsOC4wMDMxOTYgLTI0LjkxMjM5MiwxOC44NDY2MjEgLTIuNjk1MjQ1LC01Ljc1MTUxNyAtOC41MzU5MzQsLTkuNzgwOTM4IC0xNS4yNjMzOTQsLTkuNzgwOTM4IC05LjI1MTg1LDAgLTE2Ljg1NzExLDcuNjA1MjYzIC0xNi44NTcxMSwxNi44NTcxMDggMCw5LjI1MTgzMyA3LjYwNTI2LDE2Ljg2MDU2NyAxNi44NTcxMSwxNi44NjA1NjcgNi43Mjc0NiwwIDEyLjU2ODE0OSwtNC4wMzE4ODUgMTUuMjYzMzk1LC05Ljc4NDQxMiAzLjEwMTE3NSwxMC44NDQyNSAxMy4xMDcxMiwxOC44NTAxMDYgMjQuOTEyMzkxLDE4Ljg1MDEwNiAxMS43MTc5NjQsMCAyMS42NzI4OSwtNy44ODUxMTEgMjQuODUzMzgyLC0xOC42MDcwNDggMi43NDUwMzYsNS42MjE5MzQgOC41MTM0MzYsOS41NDEzNTQgMTUuMTQ1MzQyLDkuNTQxMzU0IDkuMjUxODUsMCAxNi44NjA1NywtNy42MDg3MzQgMTYuODYwNTcsLTE2Ljg2MDU2NyAwLC05LjI1MTg0NSAtNy42MDg3MiwtMTYuODU3MTA4IC0xNi44NjA1NywtMTYuODU3MTA4IC02LjYzMTkwNiwwIC0xMi40MDAzMDYsMy45MTY5NjUgLTE1LjE0NTM0Miw5LjUzNzg5MSBDIDg4LjA4MDc4NiwxNy4yNTc0NzUgNzguMTI1ODYsOS4zNzUgNjYuNDA3ODk2LDkuMzc1IFogbSAwLDkuODk1NTE4IGMgOC45MTE2NDgsMCAxNi4wMzA3NDgsNy4xMTU2NTMgMTYuMDMwNzQ4LDE2LjAyNzI3MyAwLDguOTExNjA1IC03LjExOTEsMTYuMDMwNzM3IC0xNi4wMzA3NDgsMTYuMDMwNzM3IC04LjkxMTU5MywwIC0xNi4wMjcyNDcsLTcuMTE5MTMyIC0xNi4wMjcyNDcsLTE2LjAzMDczNyAwLC04LjkxMTYyIDcuMTE1NjUzLC0xNi4wMjcyNzEgMTYuMDI3MjQ3LC0xNi4wMjcyNzMgeiBNIDI2LjIzMjExLDI4LjMzNjIwMiBjIDMuOTA0MzgsMCA2Ljk2NTA1LDMuMDU3MTg4IDYuOTY1MDUsNi45NjE1ODkgMCwzLjkwNDM4NiAtMy4wNjA2Nyw2Ljk2NTA0OSAtNi45NjUwNSw2Ljk2NTA0OSAtMy45MDQzOSwwIC02Ljk2MTYxLC0zLjA2MDY2MyAtNi45NjE2MSwtNi45NjUwNDkgMCwtMy45MDQ0MDEgMy4wNTcyMiwtNi45NjE1ODkgNi45NjE2MSwtNi45NjE1ODkgeiBtIDgwLjE3NDUxLDAgYyAzLjkwNDQyLDAgNi45NjUwNiwzLjA1NzE4OCA2Ljk2NTA2LDYuOTYxNTg5IDAsMy45MDQzODYgLTMuMDYwNjYsNi45NjUwNDkgLTYuOTY1MDYsNi45NjUwNDkgLTMuOTA0MzYsMCAtNi45NjE1NzYsLTMuMDYwNjYzIC02Ljk2MTU3NiwtNi45NjUwNDkgMCwtMy45MDQ0MDEgMy4wNTcyMjYsLTYuOTYxNTg5IDYuOTYxNTc2LC02Ljk2MTU4OSB6IiBzdHlsZT0iY29sb3I6IzAwMDtmb250LXN0eWxlOm5vcm1hbDtmb250LXZhcmlhbnQ6bm9ybWFsO2ZvbnQtd2VpZ2h0OjQwMDtmb250LXN0cmV0Y2g6bm9ybWFsO2ZvbnQtc2l6ZTptZWRpdW07bGluZS1oZWlnaHQ6bm9ybWFsO2ZvbnQtZmFtaWx5OnNhbnMtc2VyaWY7dGV4dC1pbmRlbnQ6MDt0ZXh0LWFsaWduOnN0YXJ0O3RleHQtZGVjb3JhdGlvbjpub25lO3RleHQtZGVjb3JhdGlvbi1saW5lOm5vbmU7dGV4dC1kZWNvcmF0aW9uLXN0eWxlOnNvbGlkO3RleHQtZGVjb3JhdGlvbi1jb2xvcjojMDAwO2xldHRlci1zcGFjaW5nOm5vcm1hbDt3b3JkLXNwYWNpbmc6bm9ybWFsO3RleHQtdHJhbnNmb3JtOm5vbmU7d3JpdGluZy1tb2RlOmxyLXRiO2RpcmVjdGlvbjpsdHI7YmFzZWxpbmUtc2hpZnQ6YmFzZWxpbmU7dGV4dC1hbmNob3I6c3RhcnQ7d2hpdGUtc3BhY2U6bm9ybWFsO2NsaXAtcnVsZTpub256ZXJvO2Rpc3BsYXk6aW5saW5lO292ZXJmbG93OnZpc2libGU7dmlzaWJpbGl0eTp2aXNpYmxlO29wYWNpdHk6MTtpc29sYXRpb246YXV0bzttaXgtYmxlbmQtbW9kZTpub3JtYWw7Y29sb3ItaW50ZXJwb2xhdGlvbjpzUkdCO2NvbG9yLWludGVycG9sYXRpb24tZmlsdGVyczpsaW5lYXJSR0I7c29saWQtY29sb3I6IzAwMDtzb2xpZC1vcGFjaXR5OjE7ZmlsbDojMDA4MmM5O2ZpbGwtb3BhY2l0eToxO2ZpbGwtcnVsZTpub256ZXJvO3N0cm9rZTpub25lO3N0cm9rZS13aWR0aDo1LjU2NTkwMDMzO3N0cm9rZS1saW5lY2FwOmJ1dHQ7c3Ryb2tlLWxpbmVqb2luOm1pdGVyO3N0cm9rZS1taXRlcmxpbWl0OjEwO3N0cm9rZS1kYXNoYXJyYXk6bm9uZTtzdHJva2UtZGFzaG9mZnNldDowO3N0cm9rZS1vcGFjaXR5OjE7Y29sb3ItcmVuZGVyaW5nOmF1dG87aW1hZ2UtcmVuZGVyaW5nOmF1dG87c2hhcGUtcmVuZGVyaW5nOmF1dG87dGV4dC1yZW5kZXJpbmc6YXV0bztlbmFibGUtYmFja2dyb3VuZDphY2N1bXVsYXRlIi8+PHBhdGggc3R5bGU9ImZpbGw6IzAwODJjOTtmaWxsLW9wYWNpdHk6MTtzdHJva2Utd2lkdGg6LjQ3MDM4NTIyIiBpZD0icGF0aDExNzQiIGQ9Im0gMjEuMjM1NjkzLDY5LjA0Mzc1NiBjIC0wLjMyOTI2LDAgLTAuNDcxNDcsMC4xODc5MzYgLTAuNDcxNDcsMC41MTcyNDIgViA4My4yMDM2OCBjIDAsMC4zMjkyNyAwLjE0MjIxLDAuNTE0OTUgMC40NzE0NywwLjUxNDk1IGggMC4zNzc2MyBjIDAuMzI5MjcsMCAwLjUxNDk0LC0wLjE4NTY4IDAuNTE0OTQsLTAuNTE0OTUgViA3MS44NzQ4MzMgbCA3LjQ0NzMsMTEuNTU3NzI3IGMgMC4wMzI0LDAuMDUwNSAwLjA2NzcsMC4wODQyIDAuMTAyOTksMC4xMjEyMyAwLjAxMDYsMC4wMTI1IDAuMDE3OSwwLjAyNTYgMC4wMjk4LDAuMDM2NiAwLjAzMTcsMC4wMjg5IDAuMDY2NSwwLjA0NCAwLjEwMDY1LDAuMDYxOCAwLjAxOSwwLjAxIDAuMDMzOCwwLjAyNDcgMC4wNTUsMC4wMzIgMC4wMTQ4LDAuMDA1IDAuMDMwNCwwLjAwMiAwLjA0NTgsMC4wMDYgMC4wNTI1LDAuMDEzNSAwLjEwNjE4LDAuMDI3NSAwLjE2OTM2LDAuMDI3NSBoIDAuMzc1MzQgYyAwLjMyOTI2LDAgMC40NzE0NiwtMC4xODU2NyAwLjQ3MTQ2LC0wLjUxNDk1IFYgNjkuNTYwNzY4IGMgMCwtMC4zMjkzMDUgLTAuMTQyMiwtMC41MTcyNDEgLTAuNDcxNDYsLTAuNTE3MjQxIGggLTAuMzc1MzQgYyAtMC4zMjkyOSwwIC0wLjUxNzI0LDAuMTg3OTM2IC0wLjUxNzI0LDAuNTE3MjQxIFYgODAuODkwMTEgbCAtNy40NDczLC0xMS41NTc3MTYgYyAtMC4wMjU0LC0wLjAzOTM5IC0wLjA1NjEsLTAuMDYzMzkgLTAuMDg0NywtMC4wOTM5IC0wLjA4NiwtMC4xMjE2MTEgLTAuMjIyMiwtMC4xOTQ1NDUgLTAuNDE2NTQsLTAuMTk0NTQ1IHogbSA4OS40MjAxNTcsMC4xODc2NzYgYyAtMC4zMjkyNiwwIC0wLjE4NzY3LDAuMTg3OTU2IC0wLjE4NzY3LDAuNTE3MjQxIHYgNC42NTc0MTcgYyAwLDAuNDcwMzcgMC4wNDU2LDAuNzk4NzIgMC4wNDU2LDAuNzk4NzIgaCAtMC4wNDU2IGMgMCwwIC0wLjg5NDE5LC0yLjA2ODkzIC0zLjM4NzIyLC0yLjA2ODkzIC0yLjcyODIxLDAgLTQuNjU3NzEsMi4xNjM3MiAtNC41NjM1Nyw1LjM2MjMxIDAsMy4xOTg2MiAxLjc0MDI0LDUuNDEwNDEgNC41MTU1MSw1LjQxMDQxIDIuNjgxMTgsMCAzLjU3NDksLTIuMTY1MDggMy41NzQ5LC0yLjE2NTA4IGggMC4wNDggYyAwLDAgLTAuMDkzOSwwLjI4MjgzIC0wLjA5MzksMC42NTkxMyB2IDAuNzk4NzQgYyAwLDAuMzI5MjYgMC4xODc5NiwwLjQ3MTQ4IDAuNTE3MjYsMC40NzE0OCBoIDAuMzI5NTUgYyAwLjMyOTI3LDAgMC40NjkxNywtMC4xODc5OCAwLjQ2OTE3LC0wLjUxNzI0IFYgNjkuNzQ4NjczIGMgMCwtMC4zMjkyODUgLTAuNTE3NTQsLTAuNTE3MjQxIC0wLjg0NjgxLC0wLjUxNzI0MSB6IG0gLTM2LjU0OTg1OSwwLjA0ODEgYyAtMC4zMjkyNzYsMCAtMC4xMzk2MSwwLjE4Nzk3NiAtMC4xMzk2MSwwLjUxNzI0MSBWIDgxLjMyMDE3IGMgMCwyLjI1NzgzIDEuNTAzNzY2LDIuNTQwMzkgMi4zNTA0NjMsMi41NDAzOSAwLjM3NjMwMSwwIDAuNTE3MjE3LC0wLjE4Nzk2IDAuNTE3MjE3LC0wLjUxNzIxIHYgLTAuMzI5NTggYyAwLC0wLjMyOTI2IC0wLjE4ODIxMiwtMC40NjkxOCAtMC40MjMzOTQsLTAuNDY5MTggLTAuNDcwNDA1LC0wLjA0NyAtMS4wODAyNDksLTAuMTg4ODcgLTEuMDgwMjQ5LC0xLjUwNTk0IFYgNjkuNzk2NzcgYyAwLC0wLjMyOTI2NiAtMC41MTc1MzEsLTAuNTE3MjQxIC0wLjg0NjgwNywtMC41MTcyNDEgeiBNIDU3LjIyMDI2Niw3MC41MDE2OSBjIC0wLjMyOTI3LDAgLTAuNTE3MjM4LDAuMTg3OTc1IC0wLjUxNzIzOCwwLjUxNzI0IHYgMi40NDY1OSAxLjE3NjM4IDUuMzE0MjMgYyAwLDIuNDQ1OTkgMS4zNjUxMDUsMy44MTA2NCAzLjYyMjk0NiwzLjgxMDY0IDAuNDIzMzQsMCAwLjU2MzAxMSwtMC4xMzk5MyAwLjU2MzAxMSwtMC40NjkxOCB2IC0wLjI4MzggYyAwLC0wLjM3NjI5IC0wLjEzOTY3MSwtMC40NzAyNCAtMC41NjMwMTEsLTAuNTE3MjQgLTAuNzk5NjUyLC0wLjA0NyAtMi4yNTg5MDUsLTAuMzI5MTIgLTIuMjU4OTA1LC0yLjcyODA5IHYgLTUuMTc0NjQgaCAyLjExNzAwOSBjIDAuMzI5MjY4LDAgMC41MTcyMzgsLTAuMTM5OSAwLjUxNzIzOCwtMC40NjkxOCB2IC0wLjE0MTkgYyAwLC0wLjMyOTI2IC0wLjE4Nzk3LC0wLjUxNzIyIC0wLjUxNzIzOCwtMC41MTcyMiBoIC0yLjExNzAwOSB2IC0yLjQ0NjU5IGMgMCwtMC4zMjkyNjUgLTAuMTM5OTA5LC0wLjUxNzI0IC0wLjQ2OTE3NywtMC41MTcyNCB6IG0gLTE4LjczNDk2MywyLjYzNDI3IGMgLTIuODIyMjksMCAtNS4wODE5MiwyLjAyMzU5IC01LjEyODg4LDUuNDEwMzcgMCwzLjE5ODU5IDIuMzUyODksNS40MDgwOSA1LjQxMDM5LDUuNDA4MDkgMS42NDYzMjgsMCAyLjg2ODUyLC0wLjcwNDk1IDMuNDMyOTg2LC0xLjEyODMxIDAuMjM1MjYsLTAuMTg4MTQgMC4yODMwMTQsLTAuNDIzOTIgMC4xNDE4OTYsLTAuNjU5MTIgbCAtMC4xNDE4OTYsLTAuMjMzNDYgYyAtMC4xNDExMTUsLTAuMjgyMjMgLTAuMzc0NjEyLC0wLjMzMDA1IC0wLjY1Njg0NiwtMC4xNDE4OCAtMC40NzAzODMsMC4zNzYyOSAtMS40MTMyOTUsMC45NDA2NCAtMi43MzAzNzEsMC45NDA2NCAtMi4xMTY3MDksMCAtMy45NTEzMTksLTEuNTA2MDQgLTMuOTk4Mjc5LC00LjE0MDE5IGggNy40NzkzMzEgYyAwLjI4MjI0NywwIDAuNTE3MjM4LC0wLjIzNTAxIDAuNTE3MjM4LC0wLjUxNzI1IDAsLTIuOTYzNCAtMS41NTAyOTEsLTQuOTM4ODkgLTQuMzI1NTY5LC00LjkzODg5IHogbSAyOS4yMjM4ODMsMCBjIC0zLjA1NzQ4MiwwIC01LjQwOTIwMywyLjI1NzU1IC01LjQ1NjE2MSw1LjQ1NjE0IDAsMy4xOTg2IDIuMzUyODk2LDUuNDEwMzkgNS40MTAzODcsNS40MTAzOSAxLjg4MTU0MSwwIDMuMTUxMzA3LC0wLjg5NDkzIDMuNjY4NzE4LC0xLjMxODI4IDAuMjM1MjYyLC0wLjIzNTIgMC4yODA3MjksLTAuNDIyNjUgMC4xMzk2MTksLTAuNzA0OSBMIDcxLjMzMjEzLDgxLjc5MTY1IGMgLTAuMTg4MTM2LC0wLjI4MjI1IC0wLjM3NjkwMiwtMC4zMzAwNSAtMC42NTkxMzEsLTAuMTQxOTEgLTAuNDcwMzgzLDAuNDIzMzQgLTEuNDU3NTUyLDEuMDgyNTUgLTIuOTE1NzUxLDEuMDgyNTUgLTIuMjU3ODI2LDAgLTQuMDQ2MzQ4LC0xLjY5NDE5IC00LjA0NjM0OCwtNC4xNDAxOSAwLC0yLjQ5MzAyIDEuNzg4NTIyLC00LjE4NTk2IDQuMDQ2MzQ4LC00LjE4NTk2IDEuMjIzMDA4LDAgMi4xMTU4MTYsMC42MTEzNyAyLjU4NjE4LDAuOTQwNjUgMC4yODIyNDEsMC4xODgwNyAwLjUxNjc0OCwwLjE4ODM4IDAuNzA0OTEzLC0wLjA5MzggbCAwLjE0MTksLTAuMjM1NzIgYyAwLjIzNTI3MSwtMC4yODIyNCAwLjE4NzEyNSwtMC41MTY3NyAtMC4wNDgxLC0wLjcwNDkgLTAuNTE3NDIyLC0wLjQyMzM3IC0xLjY0NTUxNSwtMS4xNzYzOCAtMy40MzI5ODYsLTEuMTc2MzggeiBtIDE1Ljg5OTMwMSwwIGMgLTMuMDEwNDUxLDAgLTUuNDU2MTU2LDIuMzA0ODIgLTUuNDU2MTU2LDUuMzYyMzEgMCwzLjEwNDUxIDIuNDQ1NzA1LDUuNDU2MTUgNS40NTYxNTYsNS40NTYxNSAzLjAxMDQ3OCwwIDUuNDU2MTY4LC0yLjM1MTY0IDUuNDU2MTY4LC01LjQ1NjE1IDAsLTMuMDU3NDkgLTIuNDQ1NjksLTUuMzYyMzEgLTUuNDU2MTY4LC01LjM2MjMxIHogbSAtMzAuNDI5OTkxLDAuMTU3OTMgYyAtMC4xMTUxOCwwLjAxODQgLTAuMjI2MDM3LDAuMDk1OSAtMC4zMzE4NTcsMC4yMjE5NyBsIC0xLjkwNDE2NCwyLjI2ODA1IC0xLjQyMzU0NiwxLjY5ODE4IC0yLjE1ODIwNSwtMi41NzAxNSAtMS4xNjk1MDUsLTEuMzk2MDggYyAtMC4xMDU4NzYsLTAuMTI2MTEgLTAuMjI1Nzk1LC0wLjE5NTI1IC0wLjM1MDE2MywtMC4yMDU5NyAtMC4xMjQzNTQsLTAuMDEgLTAuMjUzNzk2LDAuMDM2MSAtMC4zNzk5MTksMC4xNDE4OSBsIC0wLjI4ODM3MSwwLjI0MjU4IGMgLTAuMjUyMjIzLDAuMjExNjcgLTAuMjM5MDEsMC40NDU4MyAtMC4wMjc0NSwwLjY5ODA3IGwgMS45MDQxNjYsMi4yNjgwMyAxLjU3OTE3MiwxLjg4MzU3IC0yLjMxMTU0MywyLjc1MzI2IGMgLTAuMDAyNCwwLjAwMiAtMC4wMDM1LDAuMDA1IC0wLjAwNDYsMC4wMDYgbCAtMS4xNjcyMTUsMS4zODkyMyBjIC0wLjIxMTY1MywwLjI1MjIzIC0wLjE4ODEzMiwwLjUxODQyIDAuMDY0MDgsMC43MzAwOSBsIDAuMjg4MzY4LDAuMjQwMyBjIDAuMjUyMjM5LDAuMjExNjQgMC40ODE4MTMsMC4xNTg0MSAwLjY5MzQ2NSwtMC4wOTM5IGwgMS45MDE4NzYsLTIuMjY4MDYgMS40MjU4MzQsLTEuNjk4MTggMi4xNTgyMDQsMi41NzI0NCBjIDEwZS00LDAuMDAyIDAuMDAzNSwwLjAwNCAwLjAwNDYsMC4wMDUgbCAxLjE2NDkyOCwxLjM5MTUgYyAwLjIxMTY1MiwwLjI1MjIzIDAuNDc3ODM0LDAuMjczMzcgMC43MzAwODEsMC4wNjE3IGwgMC4yODgzNzEsLTAuMjQwMyBjIDAuMjUyMjM3LC0wLjIxMTY1IDAuMjM5MTM0LC0wLjQ0NTgxIDAuMDI3NDYsLTAuNjk4MDUgbCAtMS45MDQxNjEsLTIuMjcwMzQgLTEuNTc5MTc3LC0xLjg4MTI5IDIuMzExNTQ2LC0yLjc1NTU0IGMgMC4wMDI0LC0wLjAwMiAwLjAwMzUsLTAuMDA0IDAuMDA0NiwtMC4wMDYgbCAxLjE2NzIxNCwtMS4zODkyMSBjIDAuMjExNjUxLC0wLjI1MjI0IDAuMTg4MTMyLC0wLjUxODQ0IC0wLjA2NDA4LC0wLjczMDA5IGwgLTAuMjg4MzcxLC0wLjI0MDMgYyAtMC4xMjYxMTIsLTAuMTA1ODcgLTAuMjQ2NDA4LC0wLjE0NjU1IC0wLjM2MTYwNywtMC4xMjgxNSB6IG0gMzguNjYyMzA4LDAuMDc3OSBjIC0wLjMyOTI4LDAgLTAuNDcxNDgsMC4xODc5NiAtMC40NzE0OCwwLjUxNzIzIHYgNi4wNjcyMiBjIDAsMi42ODEyIDEuOTc1NywzLjk5ODI5IDQuNDIxNjksMy45OTgyOSAyLjQ0NiwwIDQuNDIxNjk2LC0xLjMxNzA5IDQuNDIxNjk2LC0zLjk5ODI5IHYgLTYuMDY3MjMgYyAwLjA0NywtMC4zMjkyNiAtMC4xMzk5MSwtMC41MTcyMyAtMC40NjkxNzYsLTAuNTE3MjMgaCAtMC4zNzc2MyBjIC0wLjMyOTI3LDAgLTAuNTE3MjQsMC4xODc5NyAtMC41MTcyNCwwLjUxNzIzIHYgNS42OTE4OSBjIDAsMS41OTkzMSAtMS4wMzUsMy4wNTc2NiAtMy4wNTc2NSwzLjA1NzY2IC0xLjk3NTYsMCAtMy4wNTc2MywtMS40NTgzNSAtMy4wNTc2MywtMy4wNTc2NiB2IC01LjY5MTg5IGMgMCwtMC4zMjkyNiAtMC4xODc5NywtMC41MTcyMyAtMC41MTcyNiwtMC41MTcyMyB6IG0gLTUzLjQwMzU2MSwwLjk0MDYzIGMgMS41MDUyMjYsMCAyLjgyMTYxLDEuMDgxNTUgMi45MTU3NTMsMy4yNDUzMSBoIC02LjQ5MDYzMyBjIDAuMzI5MjcsLTIuMTE2NzQgMS44MzQ0NywtMy4yNDUzMSAzLjU3NDg4LC0zLjI0NTMxIHogbSA0NS4xNzEyNDQsMC4wOTM5IGMgMi4yMTA4MDksMCAzLjk5ODMwMywxLjc0MDIzIDMuOTk4MzAzLDQuMDkyMTQgMCwyLjQ0NTk4IC0xLjc4NzQ5NCw0LjIzNDAxIC0zLjk5ODMwMyw0LjIzNDAxIC0yLjIxMDc4MSwwIC0zLjk5OTM4NSwtMS44MzUwNSAtNC4wNDYzMzIsLTQuMjM0MDEgMCwtMi4zMDQ4OCAxLjgzNTU1MSwtNC4wOTIxNCA0LjA0NjMzMiwtNC4wOTIxNCB6IG0gMjMuNTY2MzAzLDAgYyAyLjIxMDgyLDAgMy4yOTMzOSwyLjAyMzQ2IDMuMjkzMzksNC4xNDAyIDAsMi45NjM0IC0xLjYwMTAyLDQuMTg1OTUgLTMuMzQxNDQsNC4xODU5NSAtMS45Mjg1NiwwIC0zLjI0NDEzLC0xLjY0NTkgLTMuMjkxMDgsLTQuMTg1OTUgMCwtMi42MzQxNSAxLjUwNDY1LC00LjE0MDIgMy4zMzkxMywtNC4xNDAyIHoiLz48L3N2Zz4="
  link:
    - - en_US
      - {{ portalNextcloudLinkBase }}/apps/files
  allowedGroups:
    - 'cn=Domain Users,cn=groups,{{ ldapBaseDn }}'
    - 'cn=Domain Admin,cn=groups,{{ ldapBaseDn }}'
  linkTarget: newwindow
  description:
    de_DE: Dateien verwalten, bearbeiten und teilen
    en_US: Manage, edit and share files
  displayName:
    de_DE: Nextcloud
    en_US: Nextcloud
---
action: ensure_list_contains
module: portals/category
position: cn=domain-service,cn=category,cn=portals,cn=univention,{{ ldapBaseDn }}
properties:
  entries:
  - cn=nextcloud,cn=entry,cn=portals,cn=univention,{{ ldapBaseDn }}
...
